#!/bin/bash

# This script requires obj2dl from Nitro Engine:
#
# https://github.com/AntonioND/nitro-engine
#
# The models have been generated by Blender, and exported as OBJ files with
# vertex color information, no normals, no texture UV information, and no
# material information.

export OBJ2DL="python3 /opt/blocksds/external/nitro-engine/tools/obj2dl/obj2dl.py"

rm -rf data
mkdir data

$OBJ2DL \
    --input assets/cone.obj \
    --output data/cone.bin \
    --texture 32 32 \
    --use-vertex-color

$OBJ2DL \
    --input assets/cylinder.obj \
    --output data/cylinder.bin \
    --texture 32 32 \
    --use-vertex-color

$OBJ2DL \
    --input assets/sphere.obj \
    --output data/sphere.bin \
    --texture 32 32 \
    --use-vertex-color
